Uno dei primi tratti biometrici utilizzati per identificare un soggetto.

Problemi: rotazione del dito, secchezza della pelle.

Un'impronta digitale di solito appare come una serie di linee scure che rappresentano la parte alta e appuntita della pelle della cresta di attrito, mentre le valli tra queste creste appaiono come uno spazio bianco e sono la parte bassa e poco profonda della pelle della cresta di attrito.

Le impronte digitali sono tratti randotipici.

La prima classificazione di impronte digitali fu propostada Purkinje nel 1823, basata su 9 categorie:![[Pasted image 20241121085417.png]]
Non andava ad analizzare le minuzie, però può essere usato come meccanismo per riconoscere velocemente che due impronte sono **molto** diverse tra loro.

 Il primo approccio scientifico è dato da Galton (antropologo, il quale ha dato una prima classificazione delle impronte che definiamo come macro singolarità (archi, loop e spirali) in termine del numero di "delta": whorl (2 delta), loop (1 delta), arch (no delta)
![[Pasted image 20241121090018.png]]

e successivamente ha introdotto il concetto di minuzie che definiamo come micro similarità.
![[Pasted image 20241121090256.png]]

Henry invece ha proposto una classificazione con la frequenza per ogni classe:
- Spirali: 28%
- Archi: 6.6%
- Left loop: 33.8%
- Right loop: 31.7%

#### AFIS
Il primo ente a collezionare impronte è stata l'FBI.
...

La formazione delle impronte è già completata nel settimo mese di sviluppo fetale e la configurazione delle creste su ciascun dito è costante durante l'intero ciclo di vita.

aggiungi qualcosa sull'unicità magari

#### Acquisizione
Può essere:
- **Offline:** consiste in due step, la prima è la creazione dell'impronta su carta tramite inchiostro ad esempio, con la successiva digitalizzazione dell'impronta stampata. Rientrano in questa categoria le "impronte latenti": quelle che lasciamo involontariamente sulle varie superfici a causa della natura oleosa della pelle
- **Online:** viene usato un sensore di cattura che digitalizza direttamente l'impronta (*live-scan*).

Parametri che caratterizzano un'impronta digitalizzata:
- risoluzione (in DPI): il minimo necessario per estrarre le minuzie è 200-300 DPI. L'FBI ha 500 DPI come requisito minimo
- area di acquisizione: almeno 1x1 pollice (secondo le specifiche FBI)
- la profondità in bit per codificare ogni pixel
- contrasto: un'immagine più contrastata (sharp) contiene più dettagli
- distorsione geometrica introdotta dal sensore

#### Tipi di scanner
- **Scanner ottico:** poco costoso, robusto alla variazione di clima e con buona risoluzione. Ma deve essere sufficientemente grande e va pulito bene dopo ogni utilizzo
- **Scanner capacitivo:** migliore risoluzione dell'impronta e dimensioni ridotte. Svantaggi: la durabilità del sensore in condizioni subottimali non è stata provata. Siccome è più piccolo bisogna accertarsi che le acquisizioni vengano fatte bene
- **Scanner piezoelettrico:** misura cambiamenti in pressione, accelerazione, deformazione e forza convertendoli in una carica elettrica
- **Scanner termico:** non può essere ingannato da impronte artificiali perché riconosce pulsazione, temperatura, pori e cambiamento del colore della pelle tramite pressione. Svantaggio: quando un dito viene posizionato sul sensore, inizialmente c'è un grosso delta termico, ma in un tempo molto breve (meno di 1/10 di secondo) l'immagine sparisce perché il sensore raggiunge la temperatura del dito


#### Pores pattern
Aumentando ancora la risoluzione, andando oltre alle minuzie, riusciamo a catturare i pattern dei pori della pelle. Servono però scanner dell'ordine dei 1000 DPI, per cui non è praticabile nella maggior parte dei contesti applicativi.

#### Tecniche di matching
Gli esperti consigliano di considerare 4 aspetti:
- valutare prima un pattern globale e scartare impronte con pattern diversi
- valutare la qualità (valutare le minuzie)
- valutare la quantità (numero minimo di minuzie che matchano)
- corrispondenza di dettagli che devono essere interrelati: una coppia di minuzie in due acquisizioni diverse deve avere la stessa distanza

Approcci metodologici:
- **Basato su correlazione:** le due immagini vengono sovrapposte e viene fatto un calcolo della correlazione dei vari pixel (iterando sui possibili allineamenti). Alto costo computazionale ed è sensibile a trasformazioni non lineari
- **Basato sulle ridge features:** utilizzato per immagini di bassa qualità, non è possibile quindi estrarre minuzie. Utilizza feature facili da estrarre come l'orientamento, la frequenza e la forma dei vari ridge. Poco discriminativo
- **Basato sulle minuzie:** vengono estratte le minuzie e vengono salvate come punti in uno spazio a due dimensioni. Il metodo cerca un possibile allineamento che massimizzi il numero di match di minuzie.

Problemi nel matching:
![[Pasted image 20241121104307.png]]
- Le distorsioni non lineari sono causate da rotazioni del dito o livelli di pressione diversi (se schiaccio di più o di meno)
- Overlap scarso tra le due acquisizioni: rilevante soprattutto in sensori con un'ara di acquisizione ridotta.

